Subject: [BugDB] IE Problems connecting to mod_ssl server Linux (PR#663)

From: [email-masked]
Date: Thu, 31 Jan 2002 15:42:10 +0100 (MET)

Full_Name: 
Version: 
OS: 
Submission from: (NULL) (80.132.185.116)

I'm having some very weird problems getting some IE clients to connect to a
mod_ssl-enabled apache install, and I'm hoping someone has some insight on this
beyond what's in the FAQ.  The environment is as follows:
Webserver version:
[ Apache/1.3.20 (Linux/SuSE 7.3) PHP/4.0.6 mod_ssl/2.8.4 OpenSSL/0.9.6b ]

I have a 128-bit selfmade cert installed. I have the complete FAQ fixes in (they
were already there, actually) as far as an SSL session cache and the 56-bit
export proto being turned off.  

Clients are Win2K ,Win98 with various patched IE 5.5 and Linux with Mozilla and
Konqueror. In the case of IE, we have checked all protocols for SSL-Support. 
Here's a rough breakdown of what 
works and what doesn't:

Linux / Mozilla /Konqueror: always works fine
Win2K / IE 5.x: doen't work
Win2K / NS 6.x: doen't work
("doesn't work" means that IE spits out that crappy "Cannot finds server or DNS
error")

I also added in the http.conf

SetEnvIf User-Agent ".*MSIE.*" nokeepalive ssl-unclean-shutdown downgrade-1.0
force-response-1.0
SSLCipherSuite ALL:!ADH:!EXPORT56:RC4+RSA:+HIGH:+MEDIUM:+LOW:+SSLv2:+EXP:!NULL

But nothing works!!

Please help me or i will hang me up soon. *s*
  
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]